class Vader::Exec

  def run
    DockerUtil.ensure_docker_configured

    command = [ "docker", "exec", "-ti", container ] + ARGV

    puts "Executing #{command.inspect}" if ENV['VADER_VERBOSE']
    exec(*command)
  end

  private
  def container
    "#{File.basename(Dir.pwd)}_app_1"
  end

end
